<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 22/5/2018
 * Time: 2:52 AM
 */
include "../uniqueNameGenerator/generateRamdonToken.php";
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    $Tokeng = new generateRamdonToken();
    $tokenEntrada = $Tokeng->id();
    $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);

    if ($Valido->checkToken($_REQUEST['token'])){
            if (isset($_REQUEST['token_notificacion']) && strlen($_REQUEST['token_notificacion'])>2) {
                $validar  = R::findOne( 'directorionotificacion', ' id_usr = ? ', [ $creadoPor ] );
                if (is_null($validar)==TRUE){
                    $directorioNotificacion = R::dispense('directorionotificacion');
                    $directorioNotificacion->token_notificacion = $_REQUEST['token_notificacion'];
                    $directorioNotificacion->id_usr =  $creadoPor;
                    $directorioNotificacion->fechaRegistro = date('Y-m-d H:i:s');
                    $id = R::store($directorioNotificacion);
                    include '../comun/mensajeCreado.php';
                }else{
                    $id_notificacion = $validar->id;
                    $directorioNotificacion = R::load('directorionotificacion', $id_notificacion);
                    $directorioNotificacion->token_notificacion = $_REQUEST['token_notificacion'];
                    $id = R::store($directorioNotificacion);
                    include '../comun/mensajeModificado.php';
                }

            }else{
                include '../comun/mensajeFaltanCampos.php';
            }


    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}